summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin Lecher <jlec@gentoo.org>2016-01-07 17:47:17 +0100
committerJustin Lecher <jlec@gentoo.org>2016-01-07 20:08:55 +0100
commitce3cfba17ac637ed4f52a3553ff1630647ce7885 (patch)
tree89126bc894821c7bc0bb10c911ff32fd67c1c7b3
parentdev-python/libcloud: Bump (diff)
downloadgentoo-ce3cfba17ac637ed4f52a3553ff1630647ce7885.tar.gz
gentoo-ce3cfba17ac637ed4f52a3553ff1630647ce7885.tar.bz2
gentoo-ce3cfba17ac637ed4f52a3553ff1630647ce7885.zip
dev-python/bokeh: Move to pytest
Package-Manager: portage-2.2.26 Signed-off-by: Justin Lecher <jlec@gentoo.org>
-rw-r--r--dev-python/bokeh/bokeh-0.11.0.ebuild15
1 files changed, 6 insertions, 9 deletions
diff --git a/dev-python/bokeh/bokeh-0.11.0.ebuild b/dev-python/bokeh/bokeh-0.11.0.ebuild
index bb275620812..f64ab76ccaa 100644
--- a/dev-python/bokeh/bokeh-0.11.0.ebuild
+++ b/dev-python/bokeh/bokeh-0.11.0.ebuild
@@ -42,17 +42,14 @@ RDEPEND="
DEPEND="${REDEPEND}
dev-python/setuptools[${PYTHON_USEDEP}]
test? (
- dev-python/nose[${PYTHON_USEDEP}]
- $(python_gen_cond_dep '>=dev-python/mock-1.0.1[${PYTHON_USEDEP}]' python2_7)
- )
- "
+ dev-python/pytest[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '>=dev-python/mock-1.0.1[${PYTHON_USEDEP}]' 'python2*')
+ $(python_gen_cond_dep 'dev-python/flexx[${PYTHON_USEDEP}]' 'python3*')
+ )"
+
python_test() {
cd "${BUILD_DIR}"/lib || die
- # exclude server tests for now
- nosetests -v \
- -e multiuser_auth_test \
- -e usermodel_test \
- || die
+ py.test -m 'not (js or examples or integration)' -vv || die
}
python_install_all() {